C----------------------------------------------------------------------
C----------------------------------------------------------------------
C                               slidecont.h
C----------------------------------------------------------------------
C----------------------------------------------------------------------
C
C     SlideCont
C
C     An AUTO97 driver for sliding bifurcation analysis
C
C     BY  Fabio Dercole & Yuri Kuznetsov
C
C
C     VERSION 1.0 (last revision 2/2005)
C
C----------------------------------------------------------------------
C
C     *****************
C     *               *
C     *  Header file  *
C     *               *
C     *****************
C
C----------------------------------------------------------------------
C
c     --------------------------------------
c     Maximum state and parameter dimensions
c     --------------------------------------
      INTEGER SCNDIMX
      INTEGER SCNPARX
      INTEGER SCNPSIX
      INTEGER SCNDIMX2
      INTEGER SCNDIMXNPARX
      INTEGER SCNDIMX3
      INTEGER SCNDIMX2NPARX
      PARAMETER (SCNDIMX=10)
      PARAMETER (SCNPARX=9)
      PARAMETER (SCNPSIX=10)
      PARAMETER (SCNDIMX2=SCNDIMX*SCNDIMX)
      PARAMETER (SCNDIMXNPARX=SCNDIMX*SCNPARX)
      PARAMETER (SCNDIMX3=SCNDIMX*SCNDIMX*SCNDIMX)
      PARAMETER (SCNDIMX2NPARX=SCNDIMX*SCNDIMX*SCNPARX)
c
c     ----------------------
c     Time parameter indexes
c     ----------------------
      INTEGER SCIPARTC
      INTEGER SCIPARTS
      INTEGER SCIPARTI
      INTEGER SCIPARTJ
      PARAMETER (SCIPARTC=11)
      PARAMETER (SCIPARTS=60)
      PARAMETER (SCIPARTI=61)
      PARAMETER (SCIPARTJ=62)
c
c     ------------------------------
c     Non-user parameter index shift
c     ------------------------------
      INTEGER SCIPAR0
      PARAMETER (SCIPAR0=62)
c
c     --------------------------
c     Test functions index shift
c     --------------------------
      INTEGER SCIPSI0
      PARAMETER (SCIPSI0=40)
c
c     -------------
c     Problem types
c     -------------
c
c     Local-1,2
c     ---------
      INTEGER T3D1,TAN1,EQL1,BEQ1
      INTEGER T3D2,TAN2,EQL2,BEQ2
      PARAMETER (T3D1=100,TAN1=101,EQL1=102,BEQ1=103)
      PARAMETER (T3D2=200,TAN2=201,EQL2=202,BEQ2=203)
c
c     Local-3
c     -------
      INTEGER BND,PEQ,CTG
      PARAMETER (BND=300,PEQ=301,CTG=302)
c
c     Global-1,2
c     ----------
      INTEGER CYC1,TGB1,TCB1,PEB1,PCB1
      INTEGER TCH1,TGT1,TCT1,TTD1,TCD1
      INTEGER TGP1,TCP1,TGS1,TCS1
      INTEGER PET1,PCT1,PTD1,PCD1
      INTEGER PEP1,PCP1,PES1,PCS1
      INTEGER SCY1,SCC1
      INTEGER CYC2,TGB2,TCB2,PEB2,PCB2
      INTEGER TCH2,TGT2,TCT2,TTD2,TCD2
      INTEGER TGP2,TCP2,TGS2,TCS2
      INTEGER PET2,PCT2,PTD2,PCD2
      INTEGER PEP2,PCP2,PES2,PCS2
      INTEGER SCY2,SCC2
      PARAMETER (CYC1=110,TGB1=111,TCB1=112,PEB1=113,PCB1=114)
      PARAMETER (TCH1=115,TGT1=116,TCT1=117,TTD1=118,TCD1=119)
      PARAMETER (TGP1=120,TCP1=121,TGS1=122,TCS1=123)
      PARAMETER (PET1=124,PCT1=125,PTD1=126,PCD1=127)
      PARAMETER (PEP1=128,PCP1=129,PES1=130,PCS1=131)
      PARAMETER (SCY1=132,SCC1=133)
      PARAMETER (CYC2=210,TGB2=211,TCB2=212,PEB2=213,PCB2=214)
      PARAMETER (TCH2=215,TGT2=216,TCT2=217,TTD2=218,TCD2=219)
      PARAMETER (TGP2=220,TCP2=221,TGS2=222,TCS2=223)
      PARAMETER (PET2=224,PCT2=225,PTD2=226,PCD2=227)
      PARAMETER (PEP2=228,PCP2=229,PES2=230,PCS2=231)
      PARAMETER (SCY2=232,SCC2=233)
c
c     Global-3
c     --------
      INTEGER CCY
      PARAMETER (CCY=310)
c
c     --------------
c     Error messages
c     --------------
 500  FORMAT('Initialization error\n',
     +  'Not implemented problem type SCIPS=',I3)
 510  FORMAT('Initialization error\n',
     +  'Unknown problem type SCIPS=',I3)
 520  FORMAT('Initialization error\n',
     +  'Cannot open initial solution file (fort.3)')
 530  FORMAT('Initialization error\n',
     +  'Restart label ',I4,' not found')
 540  FORMAT('Initialization error\n',
     +  'Derivatives are needed up to order ',I1)
 550  FORMAT('Initialization error\n',
     +  'fort.2 (f.xxx) not conformed')
 552  FORMAT('Maximum dimensions violation\n',
     +  'SCNDIM > SCNDIMX\n',
     +  'Increase SCNDIMX in slidecont.h')
 554  FORMAT('Maximum dimensions violation\n',
     +  'SCNPSIX+SCIPSI0 >= SCIPARTS\n',
     +  'Increase SCIPARTI, SCIPARTJ, SCIPARTS, and',
     +  ' SCIPAR0 in slidecont.h')
 556  FORMAT('Maximum dimensions violation\n',
     +  'NDIM > NDIMX\n',
     +  'Increase NDIMX in auto.h')
 558  FORMAT('Maximum dimensions violation\n',
     +  'NBC > NBCX\n',
     +  'Increase NBCX in auto.h')
 560  FORMAT('Maximum dimensions violation\n',
     +  'ICP(NICP) > NPARX\n',
     +  'Increase NPARX in auto.h and fcon.h')
 570  FORMAT('Floating point error\n',
     +  'EISPACK eigenvalue rutine failed')
c
c     ----------------
c     Warning messages
c     ----------------
 600  FORMAT('Initialization warning\n',
     +  'NPARX too small for restart data: ',
     +  'restart PAR(i) skipped for i > ',I3)
 610  FORMAT('Initialization warning\n',
     +  'Derivatives are needed up to order ',I1,' ', 
     +  'by some test functions')
c
c     ---------------
c     Output messages
c     ---------------
 700   FORMAT(14X,'Fold/BR Function ',1PE15.7)
 710   FORMAT(14X,'Hopf    Function ',1PE15.7)
 720   FORMAT(14X,'Stable Eig.',4X,I3)
 730   FORMAT(14X,'Eigenvalue',I3,1X,1P2E15.7)
